Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

From: "Philip Patrick" <[email-masked]>
Date: Fri, 12 Aug 2005 12:12:11 -0700

I believe emergency services should be within the scope of P2P SIP.  As a network operator enabling VoIP SPs to become custom telephone companies, we at Pac West Telecom endorse the FCC Order requiring VoIP SPs to support Enhanced 911 service for nomadic VoIP users.  And, in order for P2P VoIP to become a ubiquitous means of communication, the routing of calls to the correct PSAP and rendering of location information for use by a 911 dispatcher is essential.
 
Phil

	-----Original Message----- 
	From: Dean Willis [mailto:[email-masked]] 
	Sent: Fri 8/12/2005 11:48 AM 
	To: Brijesh Kumar 
	Cc: Cullen Jennings; sipping; Richard Shockey 
	Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

	On Aug 12, 2005, at 11:30 AM, Brijesh Kumar wrote:
	
	> I think Sohel raised some interesting issues -
	> specially 1,3, 4, and 5 that the group needs to
	> include in any discussion. Task model is very important
	> for further development of P2P SIP otherwise you
	> won't be able to deploy P2P SIP for real life
	> applications.
	
	Discussing the task model probably makes sense. Reliability, DoS
	resistance, and privacy are key elements of any IETF protocol work. I'm
	not certain about access to emergency services -- this may well be
	outside the scope of P2P.
	
	However, I find it extremely unlikely that IETF work on P2P using SIP
	will address or consider lawful intercept.
	
	There are already mechanisms available for lawful intercept in the
	Internet in general (such as RFC 3924).
	
	Consideration of lawful intercept as a protocol requirement is
	generally outside the scope of the IETF. This position is documented in
	RFC 2804, which has as a summary:
	
	    The IETF has decided not to consider requirements for wiretapping as
	    part of the process for creating and maintaining IETF standards.
	
	Personally, I believe that if P2P SIP mechanisms prove to be
	particularly sensitive to intercept, then we've failed to correctly
	specify those mechanisms. I feel that this is consistent with the
	intent of RFC 1984.
	
	--
	Dean

	_______________________________________________
	Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
	This list is for NEW development of the application of SIP
	Use [email-masked] for questions on current sip
	Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Juha Heinanen <[email-masked]>
Date: Fri, 12 Aug 2005 22:25:41 +0300

Philip Patrick writes:

 > I believe emergency services should be within the scope of P2P SIP.
 > As a network operator enabling VoIP SPs to become custom telephone
 > companies, we at Pac West Telecom endorse the FCC Order requiring
 > VoIP SPs to support Enhanced 911 service for nomadic VoIP users.
 > And, in order for P2P VoIP to become a ubiquitous means of
 > communication, the routing of calls to the correct PSAP and rendering
 > of location information for use by a 911 dispatcher is essential.

p2p sip has nothing to do with service providers and thus nothing to do
with fcc.

-- juha

---

From: "Henry Sinnreich" <[email-masked]>
Date: Fri, 12 Aug 2005 15:46:40 -0500

The support of emergency calling (such as 911) by operators of a P2P SIP
based service depends one how the service is sold. 

1- If the P2P based service is sold as a PSTN telephone service replacement
(example: Vonage), emergency calling support is a MUST IMHO.

2- If the P2P service is sold as something else, such as presence, IM, apps,
etc. (example: Reuters Messenger), emergency calling may not be required.

3- A P2P based IP PBX MUST support 911 as any analyst will tell you.

The above will constitute a long game between regulators, carriers, IPSs,
and enterprises and the outcome is not sure.

The correct approach is to move 911-style emergency calling from the PSTN to
the Internet as proposed in
http://www.iptel.org/info/players/ietf/emergency/draft-schulzrinne-sipping-s
os-04.txt and more at http://www.cs.columbia.edu/sip/emergency.html 

Thanks, Henry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Philip Patrick
Sent: Friday, August 12, 2005 2:12 PM
To: Dean Willis; Brijesh Kumar
Cc: Cullen Jennings; sipping; Richard Shockey
Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

I believe emergency services should be within the scope of P2P SIP.  As a
network operator enabling VoIP SPs to become custom telephone companies, we
at Pac West Telecom endorse the FCC Order requiring VoIP SPs to support
Enhanced 911 service for nomadic VoIP users.  And, in order for P2P VoIP to
become a ubiquitous means of communication, the routing of calls to the
correct PSAP and rendering of location information for use by a 911
dispatcher is essential.
 
Phil

	-----Original Message----- 
	From: Dean Willis [mailto:[email-masked]] 
	Sent: Fri 8/12/2005 11:48 AM 
	To: Brijesh Kumar 
	Cc: Cullen Jennings; sipping; Richard Shockey 
	Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

	
	Discussing the task model probably makes sense. Reliability, DoS
	resistance, and privacy are key elements of any IETF protocol work.
I'm
	not certain about access to emergency services -- this may well be
	outside the scope of P2P.
	
	However, I find it extremely unlikely that IETF work on P2P using
SIP
	will address or consider lawful intercept.

	Consideration of lawful intercept as a protocol requirement is
	generally outside the scope of the IETF. This position is documented
in
	RFC 2804, which has as a summary:
	
	    The IETF has decided not to consider requirements for
wiretapping as
	    part of the process for creating and maintaining IETF standards.

	--
	Dean

---

From: Richard Shockey <[email-masked]>
Date: Fri, 12 Aug 2005 16:52:54 -0400

>I believe emergency services should be within the scope of P2P SIP.  As a network operator enabling VoIP SPs to become custom telephone companies, we at Pac West Telecom endorse the FCC Order requir…
I couldnt agree more ... I think the VoIP community should support 
Enhanced 911 services ..just as soon as the wireless industry gets 
around to supporting E911 as well.

-- 

Richard Shockey, Director - Member of Technical Staff
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
ENUM +87810-13313-31331
PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or 
<mailto:richard.shockey(at)neustar.biz>
<http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: [email-masked]
Date: Mon, 15 Aug 2005 17:14:48 +0300

Hi,

I tend to agree that 911 services and security are two items that should be part
of P2P VoIP services.

However, this pose some requirements that contradict the nature of P2P networks.

If we consider a P2P network without any infrastructure support how do we
provide the required support for 911 services?
who is hosting the emergency service in an Ad hoc network?
Only when the P2P network is an extension of a fixed network then we will have a
GW available to provide the connectivity for accessing the emergency services.

Therefore, P2P SIP networks will provide emergency services conditioned to the
fact that we have a linkage to fixed networks. The only thing P2P SIP can do is
to provide the basic framework such as addressing/naming to identify emergency
calls, locate the GW for accessing the fixed infra and route E911 calls
throughoutt that GW.
Rgds
Jose

---

From: Juha Heinanen <[email-masked]>
Date: Fri, 19 Aug 2005 19:56:11 +0300

> who is hosting the emergency service in an Ad hoc network?

emergency service centers simply need to provide sip access.

-- juha